import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-d2356db6.js';
export { dF as ArgumentsType, cx as AsyncMutex, cS as AsyncReturnType, _ as BinInput, d as CRYPTO_DEFAULT_ALG, e as CRYPTO_DEFAULT_DERIVE_ALG, f as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dd as Channel, dc as ChannelMessageEvent, ds as CryptoEncoder, ay as DAY_MS, aW as Day, aA as DayInput, aV as DayInputLegacy, az as DayValue, b0 as DecimalInput, a$ as DecimalValue, dj as DefaultListener, cn as Disposable, cm as Disposer, cl as DisposerFunction, dk as Emitter, dh as EmitterAllHandler, dg as EmitterHandler, dp as Encoder, bp as FilterFunction, J as Json, dr as JsonEncoder, di as ListenerSignature, de as LocalChannel, a as LogHandler, L as LogHandlerOptions, d0 as LogLevel, d1 as LogLevelAlias, d2 as LogLevelAliasKey, b as LogLevelAliasType, d3 as LogMessage, c$ as Logger, d6 as LoggerConsoleHandler, d5 as LoggerContext, d4 as LoggerContextInterface, c as LoggerInterface, db as LoggerMemoryHandler, bq as MapperFunction, d$ as MemStorage, d_ as MemStorageOptions, dv as Message, dt as MessageAction, dz as MessageDefinitions, dA as MessageHub, du as MessageResult, dx as MessagesDefaultMethods, dy as MessagesMethods, dw as MessagesOptions, cw as Mutex, e3 as NestedArray, dq as NoopEncoder, O as ObjectStorage, cG as Pool, cC as PoolTask, cE as PoolTaskEvents, cA as PoolTaskFn, cD as PoolTaskIdConflictResolution, cB as PoolTaskState, ba as Primitive, dD as PubSub, dI as RPCFn, dH as RPCOptions, dJ as RPCReturn, au as RenderMessagesOptions, dG as ReturnType, bP as RoundingMode, cV as SerialQueue, b_ as SortableItem, cU as TaskEvents, cT as TaskFn, ae as Uint8ArrayToHexDump, ad as Uint8ArrayToJson, a2 as Uint8ArrayToString, cs as UseDefer, cp as UseDispose, ck as XRX, a0 as _decodeUtf8Polyfill, $ as _encodeUtf8Polyfill, M as arrayAvg, N as arrayBatches, y as arrayEmptyInPlace, w as arrayFilterInPlace, q as arrayFlatten, s as arrayIntersection, B as arrayIsEqual, H as arrayMax, I as arrayMin, o as arrayMinus, G as arrayRandomElement, u as arrayRemoveElement, v as arraySetElement, E as arrayShuffle, F as arrayShuffleForce, D as arrayShuffleInPlace, z as arraySorted, A as arraySortedNumbers, K as arraySum, t as arraySymmetricDifference, x as arrayToggleInPlace, p as arrayUnion, n as arrayUnique, bC as avg, bA as between, ce as cloneJsonObject, cd as cloneObject, bL as cmp, bK as composeOrderby, P as createArray, df as createLocalChannelPair, cH as createPromise, dB as createPromiseProxy, l as csvParse, m as csvParseToObjects, k as csvStringify, a_ as dateStringToDays, aZ as day, aD as dayDay, aT as dayDiff, aH as dayFromAny, aJ as dayFromDate, aK as dayFromDateGMT, aO as dayFromParts, aP as dayFromString, aM as dayFromTimestamp, aG as dayFromToday, aC as dayMonth, aQ as dayMonthStart, aS as dayOffset, aU as dayRange, aF as dayToDate, aI as dayToDateGMT, aE as dayToParts, aN as dayToString, aL as dayToTimestamp, aB as dayYear, aR as dayYearStart, cX as debounce, b1 as decimal, b4 as decimalCentsPart, b2 as decimalFromCents, b3 as decimalToCents, U as decodeBase16, R as decodeBase32, W as decodeBase58, Y as decodeBase62, j as decrypt, b5 as deepEqual, b7 as deepMerge, b6 as deepStripUndefinedInPlace, h as deriveKeyPbkdf2, dW as detect, g as digest, cc as empty, T as encodeBase16, Q as encodeBase32, V as encodeBase58, X as encodeBase62, c6 as encodeQuery, i as encrypt, c0 as endSortWeight, c8 as ensureKey, c9 as ensureKeyAsync, ab as equalBinary, b8 as escapeHTML, bO as escapeRegExp, Z as estimateSizeForBase, dN as fetchBasic, dO as fetchJson, dS as fetchOptionsBasicAuth, dQ as fetchOptionsFormURLEncoded, dR as fetchOptionsJson, dP as fetchText, ax as fixBrokenUth8String, aX as forEachDay, ch as forTimes, av as formatMessages, e1 as formatMilliseconds, a9 as fromBase64, aa as fromBase64String, ai as fromCamelCase, a6 as fromHex, dV as getGlobal, cY as getGlobalContext, dl as getGlobalEmitter, c_ as getGlobalLogger, d7 as getNamespaceFilterString, dU as getNavigator, bv as getSecureRandom, bw as getSecureRandomIfPossible, e0 as getTimestamp, dT as getWindow, dL as httpMethod, cJ as immediate, bd as isArray, bj as isBoolean, dX as isBrowser, bR as isEven, bQ as isHalf, bh as isInteger, cZ as isLocalHost, bk as isNullOrUndefined, bg as isNumber, bb as isObject, bE as isPrime, bD as isPrimeRX, bc as isPrimitive, cQ as isPromise, be as isRecord, bi as isSafeInteger, bf as isString, cN as isTimeout, bl as isUint8Array, a4 as joinToUint8Array, bo as jsonStringify, bn as jsonStringifySafe, bm as jsonStringifySorted, ac as jsonToUint8Array, cb as last, dn as lazyListener, c4 as linkifyPlainText, bt as listDistinctUnion, bs as listGroupBy, bu as listOfKey, br as listQuery, cf as memoize, cg as memoizeAsync, dm as messages, c1 as moveSortWeight, bI as objectIsEmpty, bG as objectMap, bH as objectMergeDisposable, dM as parseBasicAuth, e2 as parseDate, d9 as parseLogLevel, bJ as parseOrderby, c7 as parseQuery, dY as platform, cR as promisify, ep as qid, bx as randomBoolean, bz as randomFloat, by as randomInt, r as randomUint8Array, cj as regExpEscape, ci as regExpString, aw as renderMessages, bT as roundDown, bW as roundHalfAwayFromZero, bX as roundHalfDown, bY as roundHalfEven, bV as roundHalfOdd, bZ as roundHalfTowardsZero, bU as roundHalfUp, bS as roundUp, bF as seededRandom, ej as setUuidDefaultEncoding, ca as size, cI as sleep, c2 as sortedItems, bM as sortedOrderby, b$ as startSortWeight, aj as stringToBoolean, al as stringToFloat, ak as stringToInteger, a1 as stringToUInt8Array, ef as suid, ee as suidBytes, eh as suidBytesDate, eg as suidDate, bB as sum, cW as throttle, cL as timeout, cK as timeoutReached, cM as timoutError, a7 as toBase64, a8 as toBase64Url, at as toBool, af as toCamelCase, ag as toCapitalize, ah as toCapitalizeWords, aq as toFloat, a5 as toHex, c5 as toHumanReadableUrl, ar as toInt, as as toString, a3 as toUint8Array, bN as toValidFilename, aY as today, cO as tryTimeout, eo as uname, b9 as unescapeHTML, cz as useAsyncMutex, S as useBase, cr as useDefer, co as useDispose, cq as useDisposer, cv as useEventListener, dZ as useExitHandler, cu as useInterval, da as useLevelFilter, dC as useMessageHub, cy as useMutex, d8 as useNamespaceFilter, cF as usePool, dE as usePubSub, dK as useRPC, c3 as useSorted, ct as useTimeout, ek as uuid, ei as uuid32bit, e8 as uuidB32, e5 as uuidB62, e4 as uuidBytes, el as uuidDecode, ea as uuidDecodeB32, e7 as uuidDecodeB62, ed as uuidDecodeV4, em as uuidEncode, e9 as uuidEncodeB32, e6 as uuidEncodeB62, ec as uuidEncodeV4, en as uuidIsValid, eb as uuidv4, am as valueToBoolean, ao as valueToFloat, an as valueToInteger, ap as valueToString, cP as waitOn } from './uuid-d2356db6.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
